#!/bin/sh
#
#---------------------------------------------------
# Controle  les services actifs
#
#
# Luc Bourdot (Dijon/08/2001)
# Eole ZEPHIR
# $Id: diagnose.sh,v 1.4 2004/10/27 09:09:08 bboiget Exp $
#---------------------------------------------------
[ -x /usr/share/eole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}

. /usr/share/eole/FonctionsEole
ParseDico
clear
echo "# Test Cartes Réseaux"
#mii-tool | grep ok | awk -F':' '{ printf("La carte %s est active \n",$1)}'
mii-tool 2>/dev/null
# test des interfaces et du routeur
echo "# Test Interfaces"
echo -n "Int Externe	";fping  $adresse_ip_eth0  2>/dev/null
echo -n "Routeur Ext	";fping  $adresse_ip_gw  2>/dev/null
# test des services serveur local
echo
echo "# Services Locaux"
echo
echo
echo -n "SSH		";tcpcheck  3 $adresse_ip_eth0:22    	#  SSH
echo -n "POSTGRES	";tcpcheck  3 localhost:5432    	#  POSTGRES
echo -n "FRONTEND	";tcpcheck  3 $adresse_ip_eth0:8070    	#  FRONTEND
echo -n "BACKEND		";tcpcheck  3 $adresse_ip_eth0:8090    	#  BACKEND
echo -n "XMLRPC		";tcpcheck  3 $adresse_ip_eth0:7080    	#  XMLRPC
# test des services distants
echo
echo "# Services Distants"
echo
echo -n "DNS-DISTANT	"; tcpcheck 3 $adresse_ip_dns:53   
echo -n "Resolution		"; host eole.ac-dijon.fr
echo -n "Acces Distant	"; tcpcheck 3 www.cru.fr:80       
echo -n "Serveur MAJ	"; tcpcheck 3 $serveur_maj:80

