#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from creole import cfgparser
import os, sys

d = cfgparser.EoleDict(templatedir = 'eole')

# définition de l'emplacement des dictionnaires
dictionnaires = []
dirs = ['eole/dicos/local', 'eole/dicos/', 'eole/dicos/variante']
# lecture dictionnaires principaux
for dir in dirs:
    fichiers = os.listdir(dir)
    for dico in fichiers:
        if dico.endswith('.xml'):
            # ajout des dicos additionnels
            dictionnaires.append(dir+dico)

for dictionnaire in dictionnaires:
    # chargement des dictionnaires:
    try:
        print "chargement des paramètres :", dictionnaire
        d.read(dictionnaire)
    except Exception, e:
        sys.exit('erreur lors du chargement de %s : %s' % (dictionnaire, str(e)))


d.load_values('config.eol')
d.instance()
